Bug 56325 - Perl is badly out of date - should be upgraded immediately to version 5.6.1
Perl is badly out of date - should be upgraded immediately to version 5.6.1
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-11-15 12:17 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-06 16:23:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-15 12:17:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
The perl version that comes with redhat 7.2 is badly out of date.  It's 
version 5.6.0, which has many critical documented bugs and segfaults 
frequently under many circumstances.  Many modules won't work with 5.6.0 
reliably and using the CPAN shell for installing many common modules will 
attempt to automatically update to 5.6.1, which is very undesirable.

I realize it's a bit of a pain because many other things are based on 
Perl, but 7.2 should *really* get an update to at least version 5.6.1 for 
all things perl-related.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install rt2 from http://www.fsck.com.  (A very painful process with perl 
2.Run the system.
3.Get some Rt2 web pages.

Actual Results:  After a few page loads, Apache will start to segfault 
because Perl is segfaulting.

Expected Results:  No errors.

Additional info:

If absolutely required I'll try to find more specific test-cases for this 
bug, but considering that the problems with Perl 5.6.0 are actually 
documented all over the web in mailing list archives, I think moving to 
5.6.1 should be an obvious choice even without condensed test-cases.
Comment 1 Need Real Name 2001-12-02 20:54:08 EST
Here here, couldn't agree more.
Every major Linux distribution has had perl-5.6.1 for some time now:

SuSE       since    Wed Jun 20 2001
Mandrake   since        Apr  9 2001
PLD        since        Apr 12 2001
Vinelinux  since        Jun 15 2001
Conectiva  since        Sep 16 2001

Then what exactly is the reason to still ship a perl version that has all the 
shortcomings described above (and I can attest to every single one of them) ?

This really makes me wonder: why are all bugs reported here left as NEW ??
Is it really too much trouble to even put in one line saying `sorry we're 
still working on this' or `security' or whatever.
Really, anything is better than just ignoring the issues.

This must be company policy then. Ah wait, here's the answer in the latest

Name: python
Obsoletes: perl

Comment 2 Chip Turner 2001-12-19 03:13:06 EST
5.6.1 is now available in rawhide

Note You need to log in before you can comment on or make changes to this bug.